it.csi.mddtools.guigen

## Interface StdWebResourceModule

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, WebResourceModule

      public interface StdWebResourceModule
      extends WebResourceModule

  A representation of the model object 'Std Web Resource Module'. Modulo standard di risorse web attualmente utilizzabili nell'applicazione. L'utilizzo effettivo di ciascuna tipologia dipende dal tipo di modulo (attributo stdName)

  The following features are supported:

  - `Std Name`
  See Also:
    `GuigenPackage.getStdWebResourceModule()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StdWebResModuleNames` | `getStdName()` Returns the value of the 'Std Name' attribute.
    `void` | `setStdName(StdWebResModuleNames value)` Sets the value of the '`Std Name`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.WebResourceModule

      `getDeploymentType, getName, getRepartModule, getVersion, isSetRepartModule, setDeploymentType, setName, setRepartModule, setVersion, unsetRepartModule`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getStdName

          StdWebResModuleNames getStdName()

      Returns the value of the 'Std Name' attribute. The literals are from the enumeration `StdWebResModuleNames`.

      If the meaning of the 'Std Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Std Name' attribute.
      See Also:
        `StdWebResModuleNames`, `setStdName(StdWebResModuleNames)`, `GuigenPackage.getStdWebResourceModule_StdName()`

    - #### setStdName

          void setStdName(StdWebResModuleNames value)

      Sets the value of the '`Std Name`' attribute.
      Parameters:
        `value` - the new value of the 'Std Name' attribute.
      See Also:
        `StdWebResModuleNames`, `getStdName()`